package com.abi.qms.platform.dto.res;

import com.abi.task.common.api.base.PageResp;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author: fangxinjian
 * @date: 2021/05/27 13:50
 * @description: 箱码合一分页查询出参
 */
@Data
@ApiModel
public class ListQrBoxCodeMappingRes extends PageResp implements Serializable {


    @ApiModelProperty("箱码合一列表")
    private List<QrBoxMappingBean> qrBoxMappingBeanList;


    /**
     * 箱码合一Bean
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ListQrBoxCodeMappingRes_QrBoxMappingBean")
    public static class QrBoxMappingBean implements Serializable {

        @Schema(name = "id")
        private Long id;

        @Schema(name = "条码序号")
        private String boxCode;

        @Schema(name = "起始序号")
        private Long indexBegin;

        @Schema(name = "结束序号")
        private Long indexEnd;

        @Schema(name = "起始二维码")
        private String beginQrCode;

        @Schema(name = "结束二维码")
        private String endQrCode;

        @Schema(name = "条数")
        private Long qrCodeCount;

        @Schema(name = "激活状态")
        private Integer activeStatus;

        @Schema(name = "激活时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime activeTime;

        @Schema(name = "激活人id")
        private Long activeUserId;

        @Schema(name = "激活人姓名")
        private String activeUserName;

        @Schema(name = "码包id")
        private Long packageId;

        @Schema(name = "项目号")
        private String projectNo;

        @Schema(name = "版号")
        private String boardNo;

        @Schema(name = "备注")
        private String remark;

        @Schema(name = "创建人姓名")
        private String createUserName;

        @Schema(name = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;

        @Schema(name = "创建人id")
        private Long createBy;

        @Schema(name = "修改时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateTime;

        @Schema(name = "修改人id")
        private Long updateBy;

        @Schema(name = "是否删除")
        private Integer isDelete;


    }


}
